Re: [wxhaskell-devel] Build failure

2013-08-02 Thread Atze Dijkstra
Hi Melanie,

this problem is fixed in the forked repo 
https://github.com/atzedijkstra/wxHaskell. See the README there. The intent is 
that this fork will merge back into the official repo and an update of the 
version available via cabal and Hackage.

regards,

On  2 Aug, 2013, at 01:19 , M. Schulte m-hask...@fuglos.org wrote:

 Hi,
 
 I'm on Fedora 18, having installed wxWidgets (GTK) 2.9 in ~/local, ~/local/bin
 is in $PATH. When I do 'cabal install wx', the following error gets triggered:
 
 [...]
 /usr/bin/gcc -Wl,--hash-size=31 -Wl,--reduce-memory-overheads -Isrc/include 
 -I/home/mel/local/include/wx-2.9 
 -I/home/mel/local/lib/wx/include/gtk2-unicode-2.9 -D__WXGTK__ -DWXUSINGDLL 
 -D_FILE_OFFSET_BITS=64 -DwxcREFUSE_MEDIACTRL -fPIC -c src/cpp/eljgrid.cpp -o 
 dist/build/src/cpp/eljgrid.o
 src/cpp/eljgrid.cpp: In function ‘void 
 wxGridCellEditor_PaintBackground(wxGridCellEditor*, int, int, int, int, 
 void*)’:
 src/cpp/eljgrid.cpp:61:65: error: no matching function for call to 
 ‘wxGridCellEditor::PaintBackground(wxRect, wxGridCellAttr*)’
 src/cpp/eljgrid.cpp:61:65: note: candidate is:
 In file included from /home/mel/local/include/wx-2.9/wx/grid.h:15:0,
 from src/include/wrapper.h:32,
 from src/cpp/eljgrid.cpp:1:
 /home/mel/local/include/wx-2.9/wx/generic/grid.h:216:18: note: virtual void 
 wxGridCellEditor::PaintBackground(wxDC, const wxRect, const wxGridCellAttr)
 /home/mel/local/include/wx-2.9/wx/generic/grid.h:216:18: note:   candidate 
 expects 3 arguments, 2 provided
 src/cpp/eljgrid.cpp: In function ‘bool wxGrid_CanDragRowSize(wxGrid*)’:
 src/cpp/eljgrid.cpp:741:30: warning: ‘bool wxGrid::CanDragRowSize() const’ is 
 deprecated (declared at 
 /home/mel/local/include/wx-2.9/wx/generic/grid.h:1836) 
 [-Wdeprecated-declarations]
 src/cpp/eljgrid.cpp: In function ‘bool wxGrid_CanDragColSize(wxGrid*)’:
 src/cpp/eljgrid.cpp:756:30: warning: ‘bool wxGrid::CanDragColSize() const’ is 
 deprecated (declared at 
 /home/mel/local/include/wx-2.9/wx/generic/grid.h:1837) 
 [-Wdeprecated-declarations]
 cabal: Error: some packages failed to install:
 wx-0.90.0.1 depends on wxc-0.90.0.4 which failed to install.
 wxc-0.90.0.4 failed during the building phase. The exception was:
 ExitFailure 1
 wxcore-0.90.0.3 depends on wxc-0.90.0.4 which failed to install.
 [mel@lily ~]$
 
 Any idea, what's going on here?
 
 Thanks,
 melanie--
 Get your SQL database under version control now!
 Version control is standard for application code, but databases havent 
 caught up. So what steps can you take to put your SQL databases under 
 version control? Why should you start doing it? Read more to find out.
 http://pubads.g.doubleclick.net/gampad/clk?id=49501711iu=/4140/ostg.clktrk___
 wxhaskell-devel mailing list
 wxhaskell-devel@lists.sourceforge.net
 https://lists.sourceforge.net/lists/listinfo/wxhaskell-devel


- Atze -

Atze Dijkstra, Department of Information and Computing Sciences. /|\
Utrecht University, PO Box 80089, 3508 TB Utrecht, Netherlands. / | \
Tel.: +31-30-2534118/1454 | WWW  : http://www.cs.uu.nl/~atze . /--|  \
Fax : +31-30-2513971  | Email: a...@uu.nl ... /   |___\




--
Get your SQL database under version control now!
Version control is standard for application code, but databases havent 
caught up. So what steps can you take to put your SQL databases under 
version control? Why should you start doing it? Read more to find out.
http://pubads.g.doubleclick.net/gampad/clk?id=49501711iu=/4140/ostg.clktrk
___
wxhaskell-devel mailing list
wxhaskell-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/wxhaskell-devel


Re: [wxhaskell-devel] build failure in new release

2008-10-12 Thread Don Stewart
shelarcy:
 Hi,
 
 On Sat, 11 Oct 2008 11:26:43 +0900, Don Stewart [EMAIL PROTECTED] wrote:
  configuration:
   library: wxhaskell-0.10.4  (release 0)
   (snip)
 
  *** config/config.mk:22: *** missing separator.  Stop.
  cabal: Error: some packages failed to install:
  wxcore-0.10.4 failed during the building phase. The exception was:
  exit: ExitFailure 2
 
  Typo in config.mk
 
  # Packages
  PKG-CONTAINERS=-package containers-0.2.0.0
  PKG-PARSEC=-package parsec-2.1.0.1
  2.1.0.2
  PKG-TIME=-package time-1.1.2.1
  PKG-STM=-package stm-2.1.1.1
 
 I fixed this bug in the new HackageDB releace 0.10.5.
 Please test again with 0.10.5.
 
 And I sent darcs patch for this bug (and 2 more).
 I will push tomorrow unless somebody complains that.
 
 http://sourceforge.net/mailarchive/forum.php?thread_name=FF3769EA396C4DA4B1FC7BF317CFF6A8%40ShelarcyWinforum_name=wxhaskell-devel
 
 
 Best Regards,

And I got wx and wxcore to build *out of the box* with cabal install
0.6, cabal 1.6 and ghc 6.10!!!

Yay!

-- Don

-
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK  win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100url=/
___
wxhaskell-devel mailing list
wxhaskell-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/wxhaskell-devel